
difference()
{
  //create body
  union()
  {
    //create left side body
    minkowski(){
      cube([22,32,8], center = true);
      translate([11, 16, 0])
        sphere(r = 4);
    }
    //create right side body
    minkowski(){
      translate([12, 0.25, -5])
        cube([24,31,6]);
      translate([12, 0.25, 0])
        sphere(r = 3);
    }
  }

  //cut top left
  translate([0, 16, 10])
    cube([52,40,21], center = true);

  //cut top right
  translate([36, 16, 2.5])
    cube([31,40,10], center = true);

  //cut body hole left
  translate([17, 16, -3])
    cube([35,31,8], center = true);

  //cut body hole right
  translate([44, 16, -4])
    cube([20,24,6], center = true);
  
  //cut comms block
  translate([-1.5, 25, 0])
    cube([5,11,10], center = true);

  //cut hand grips bottom
  translate([7, -5.5, -8])
    cylinder(h = 10, r1 = 3, r2 = 3);
  translate([11, -5.5, -8])
    cylinder(h = 10, r1 = 3, r2 = 3);
  translate([15, -5.5, -8])
    cylinder(h = 10, r1 = 3, r2 = 3);

  //cut hand grips top
  translate([7, 37.5, -8])
    cylinder(h = 10, r1 = 3, r2 = 3);
  translate([11, 37.5, -8])
    cylinder(h = 10, r1 = 3, r2 = 3);
  translate([15, 37.5, -8])
    cylinder(h = 10, r1 = 3, r2 = 3);

  //hold notch bottom
  translate([46.5, -2.5, -5])
    cube([3,2,10], center = true);

  //hold notch top
  translate([46.5, 34.5, -5])
    cube([3,2,10], center = true);
}

  
